package validatesitav1;

import java.util.Hashtable;

public class Main {

    public static void main(String[] args) throws Exception {
        Hashtable<String, Boolean> manuscriptDirectories = new Hashtable<String, Boolean>();
        String catalog = "/Users/ralph/SanskritLibrary/LatestGrantFiles/SITA/catalog/catalog.xml";             // args[0];
        String annotationsDirectory = "/Users/ralph/SanskritLibrary/LatestGrantFiles/annotations";  // args[1];
        String textDirectory = "/Users/ralph/SanskritLibrary/LatestGrantFiles/texts";                     // args[3];
        // args[0] name of catalog.xml file
        // args[1] name of annotations directory
        // args[2] name of text directory

        if (!annotationsDirectory.endsWith("/")) {
            annotationsDirectory += "/";
        }
        if (!textDirectory.endsWith("/")) {
            textDirectory += "/";
        }

        ProcessCatalog pc = new ProcessCatalog(catalog, textDirectory, annotationsDirectory);
        pc.parse();
        manuscriptDirectories = pc.getManuscriptDirectories();

        ProcessAnnotations pa = new ProcessAnnotations(annotationsDirectory, textDirectory, manuscriptDirectories);
        pa.parse();
    }

}
